Subject: [Shop-talk] Troubleshooting a fluttering gas oven

From: Jim Franklin <[email-masked]>
Date: Tue, 22 Aug 2023 14:28:51 -0400

I have a Magic Chef gas range and occasionally the oven will "flutter" and take a long time to come up to temp. I bought a clamp ammeter and tested the igniter current and it's at 2.9 - 3.0 amps, right where it should be. Of course there was no fluttering during this test :-)

Is it possible for these things to fail intermittently or are they pretty steady even as they're going bad? 

Not to introduce a red herring but sometimes I hear similar fluttering from the water heater, and sometimes the stovetop burners won't light, and sometimes their flame sounds like it has extra pressure, or another non-reactive gas in it because they make jet noises. 

This is a rental and I'm on good terms with the landlord and her dog is dying so I don't want to burden her with petty things if there's nothing really wrong, but I also don't want my roasts to not cook or the house to blow up. 

thanks,
jim
_______________________________________________

[email-masked]
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive